// Test case that compares a file generated by rust_xlsxwriter with a file
// created by Excel.
//
// SPDX-License-Identifier: MIT OR Apache-2.0
//
// Copyright 2022-2025, John McNamara, jmcnamara@cpan.org

use crate::common;
use rust_xlsxwriter::{Format, Workbook, XlsxError};

// Test case to demonstrate cell builtin styles.
fn create_new_xlsx_file(filename: &str) -> Result<(), XlsxError> {
    let mut workbook = Workbook::new();

    let format = Format::new().set_hyperlink();

    let worksheet = workbook.add_worksheet();
    worksheet.write_string_with_format(0, 0, "Foo", &format)?;

    workbook.save(filename)?;

    Ok(())
}

#[test]
fn styles02() {
    let test_runner = common::TestRunner::new()
        .set_name("styles02")
        .set_function(create_new_xlsx_file)
        .initialize();

    test_runner.assert_eq();
    test_runner.cleanup();
}
